From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/liblouis/
Date: Thu, 11 May 2023 01:21:54 +0000 (UTC) [thread overview]
Message-ID: <1683768094.05377550aeb48468fad806da285f31b7924b1786.sam@gentoo> (raw)
commit: 05377550aeb48468fad806da285f31b7924b1786
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 11 01:21:05 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 11 01:21:34 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05377550
dev-libs/liblouis: add 3.25.0
Closes: https://bugs.gentoo.org/874309
Bug: https://bugs.gentoo.org/905298
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/liblouis/Manifest | 1 +
dev-libs/liblouis/liblouis-3.25.0.ebuild | 94 ++++++++++++++++++++++++++++++++
2 files changed, 95 insertions(+)
diff --git a/dev-libs/liblouis/Manifest b/dev-libs/liblouis/Manifest
index 9d1e55f5921b..1f385d6b1315 100644
--- a/dev-libs/liblouis/Manifest
+++ b/dev-libs/liblouis/Manifest
@@ -1 +1,2 @@
DIST liblouis-3.23.0.tar.gz 16738612 BLAKE2B b4508d27eaa9669bb2a1fbaac55edb3a85d3d2df18a8b26f4c9c396579b04614da3b3bcd6af45459d9129d2b81a920262dcb8fef7bee4290752174411fd66109 SHA512 25819758fc987ed378c439c5d40efd2692247a6020a40e5909320021e518e0518f5b022dda4ea5c7006a0f1ce2a4225d4ee1404560987bb2dd83504d58aa09db
+DIST liblouis-3.25.0.tar.gz 16939419 BLAKE2B f67dc1ee3aa9eb32fcf0693b3a31d40c56f048b393785011ec2b4c61611a3ab67d181d1e76148c489e443e3b0c4d5f7846ac1b4810ffa2c6a6e1d081cceab6ae SHA512 4e6456f30e845b955e98346cb94bdd4eaa6aff30f3e29fbd4e91c5bb58d1182c679fbf8afa27d7031c80d5755ae8567b830fa57c175522a038ef18d1bdc0707d
diff --git a/dev-libs/liblouis/liblouis-3.25.0.ebuild b/dev-libs/liblouis/liblouis-3.25.0.ebuild
new file mode 100644
index 000000000000..ae8c9ea52083
--- /dev/null
+++ b/dev-libs/liblouis/liblouis-3.25.0.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_OPTIONAL=1
+inherit distutils-r1
+
+DESCRIPTION="An open-source braille translator and back-translator"
+HOMEPAGE="https://github.com/liblouis/liblouis"
+SRC_URI="https://github.com/liblouis/liblouis/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0/20"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="python test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ sys-apps/help2man
+ python? ( ${PYTHON_DEPS}
+ >=dev-python/setuptools-42.0.2[${PYTHON_USEDEP}]
+ )
+ test? ( dev-libs/libyaml )
+"
+
+src_prepare() {
+ default
+
+ if use python; then
+ pushd python > /dev/null || die
+ distutils-r1_src_prepare
+ popd > /dev/null || die
+ fi
+}
+
+src_configure() {
+ # -fanalyzer substantially slows down the build and isn't useful for
+ # us. It's useful for upstream as it's static analysis, but it's not
+ # useful when just getting something built.
+ export gl_cv_warn_c__fanalyzer=no
+
+ # CONFIG_SHELL is temporary until https://github.com/liblouis/liblouis/pull/1369
+ # is in a release.
+ CONFIG_SHELL="${BROOT}"/bin/bash econf --enable-ucs4
+}
+
+src_compile() {
+ default
+
+ if use python; then
+ pushd python > /dev/null || die
+ # setup.py imports liblouis to get the version number,
+ # and this causes the shared library to be dlopened
+ # at build-time. Hack around it with LD_PRELOAD.
+ # Thanks ArchLinux.
+ LD_PRELOAD+=":${S}/liblouis/.libs/liblouis.so" distutils-r1_src_compile
+ popd > /dev/null || die
+ fi
+}
+
+src_test() {
+ default
+
+ if use python; then
+ pushd python > /dev/null || die
+ LD_PRELOAD+=":${S}/liblouis/.libs/liblouis.so" distutils-r1_src_test
+ popd > /dev/null || die
+ fi
+}
+
+python_test() {
+ local -x LOUIS_TABLEPATH="${S}"/tables
+ "${EPYTHON}" tests/test_louis.py || die
+}
+
+src_install() {
+ if use python; then
+ pushd python > /dev/null || die
+ LD_PRELOAD+=":${S}/liblouis/.libs/liblouis.so" distutils-r1_src_install
+ popd > /dev/null || die
+ fi
+
+ # These need to be after distutils src_install, or it'll try to install them from under python/ as well
+ DOCS=( README AUTHORS NEWS ChangeLog doc/liblouis.txt )
+ HTML_DOCS=( doc/liblouis.html )
+ default
+
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2023-05-11 1:21 UTC|newest]
Thread overview: 43+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-11 1:21 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-17 17:46 [gentoo-commits] repo/gentoo:master commit in: dev-libs/liblouis/ Andreas Sturmlechner
2024-08-09 10:35 Pacho Ramos
2024-07-15 10:53 Sam James
2024-07-15 10:53 Sam James
2024-07-15 10:53 Sam James
2024-07-15 10:53 Sam James
2024-06-02 8:19 Sam James
2022-11-29 15:58 WANG Xuerui
2022-11-22 17:00 John Helmert III
2022-11-15 18:17 Michał Górny
2022-11-07 7:26 Sam James
2022-11-06 7:24 Sam James
2022-11-06 7:24 Sam James
2022-11-06 7:24 Sam James
2022-11-06 7:24 Sam James
2022-10-02 5:34 William Hubbs
2022-08-18 0:55 John Helmert III
2022-01-27 16:16 William Hubbs
2021-12-01 6:37 Yixun Lan
2021-10-04 14:22 Arthur Zamarin
2021-04-19 2:10 Matt Turner
2021-01-01 0:53 Michał Górny
2020-08-19 22:40 Sam James
2020-05-11 16:49 Agostino Sarubbo
2020-05-09 7:40 Agostino Sarubbo
2020-05-06 7:18 Sergei Trofimovich
2020-04-19 8:15 Mart Raudsepp
2019-08-31 18:15 William Hubbs
2019-08-23 10:05 Agostino Sarubbo
2019-08-23 10:04 Agostino Sarubbo
2019-08-22 22:03 Agostino Sarubbo
2019-08-22 22:01 Agostino Sarubbo
2019-08-22 11:48 Agostino Sarubbo
2019-08-21 21:07 Agostino Sarubbo
2019-08-18 22:25 William Hubbs
2019-08-18 20:39 William Hubbs
2019-08-18 19:48 William Hubbs
2019-08-18 19:34 William Hubbs
2019-08-03 13:14 Aaron Bauman
2017-12-09 14:21 Pacho Ramos
2015-11-09 21:51 Pacho Ramos
2015-09-01 19:09 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1683768094.05377550aeb48468fad806da285f31b7924b1786.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox